ru.bitel.common.xml

## Class JAXBUtils

- java.lang.Object
- - ru.bitel.common.xml.JAXBUtils

-     public class JAXBUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JAXBUtils.DateAdapter`
    `static class` | `JAXBUtils.DateTimeAdapter`
    `static class` | `JAXBUtils.LocalDateAdapter`
    `static class` | `JAXBUtils.PeriodAdapter`
    `static class` | `JAXBUtils.PeriodWithTimeAdapter`
    `static class` | `JAXBUtils.SummaAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXBUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> javax.xml.bind.JAXBContext` | `getContext(java.lang.Class<?>... type)`
    `static void` | `marshal(java.lang.Object jaxbObject, org.w3c.dom.Node node)`
    `static void` | `marshal(java.lang.Object jaxbObject, javax.xml.transform.Result result)`
    `static <T> void` | `marshal(Result<T> jaxbObject, java.lang.Class<T> clazz, org.w3c.dom.Node node)`
    `static <T> T` | `unmarshal(org.w3c.dom.Node node, java.lang.String expression, java.lang.Class<T> clazz)`
    `static <T> Result<T>` | `unmarshalResult(org.w3c.dom.Document doc, java.lang.Class<T> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBUtils

          public JAXBUtils()

  - ### Method Detail

    - #### getContext

          public static <T> javax.xml.bind.JAXBContext getContext(java.lang.Class<?>... type)
                                                           throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### marshal

          public static void marshal(java.lang.Object jaxbObject,
                                     javax.xml.transform.Result result)

    - #### marshal

          public static void marshal(java.lang.Object jaxbObject,
                                     org.w3c.dom.Node node)

    - #### marshal

          public static <T> void marshal(Result<T> jaxbObject,
                                         java.lang.Class<T> clazz,
                                         org.w3c.dom.Node node)

    - #### unmarshal

          public static <T> T unmarshal(org.w3c.dom.Node node,
                                        java.lang.String expression,
                                        java.lang.Class<T> clazz)

    - #### unmarshalResult

          public static <T> Result<T> unmarshalResult(org.w3c.dom.Document doc,
                                                      java.lang.Class<T> clazz)